%% parameter setting
options = [];
options.maxIter = 200;
options.error = 1e-6;
options.nRepeat = 30;
options.minIter = 50;
options.meanFitRatio = 0.1;
options.rounds = 30;


% options.kmeans means whether to run kmeans on v^* or not
options.alpha = 0.1;
options.kmeans = 0;


%% read dataset

load dblp_4area_abstract.mat
data{1} = Mdc' * Mda(:, label.author_vid); 
data{2} = Mdt' * Mda(:, label.author_vid); 
K = 4;

%% normalize data matrix

for i = 1:length(data)
    data{i} = data{i} / sum(sum(data{i}));
end

%%
[U_final, V_final, V_centroid, log, beta] = HINMF(data, K, label.author_label, options);
printResult(U_final * diag(sum(V_centroid)), label.conf_label, K, options.kmeans);

